Edit wiki region: edit right region if not all heading levels are used, e.g. h2. .... h5.

2013-10-23 22:54 - Anonymous

Status: Closed Start date:  

Priority: Low Due date:  

Assignee:  % Done: 0%

Category: Wiki Estimated time: 0.00 hour

Target version:    

Resolution: Cant reproduce Affected version:  

Description

If not all headings are used, e.g. (h2. ... h5.) instead

of (h2. ... h3. ... h4 ... h5), the wrong region opens in the editor when clicking on the yellow pencil. I would expect to edit the region

below the pencil. If a heading is missing the region above the pencil will get the focus of the text editor.

(The sense of not using all heading levels was for me to hide some headings in the table of contents. I don't now an option to set the

number of shown levels in the toc.)

History

#1 - 2013-10-26 07:55 - Mischa The Evil

- Resolution set to Cant reproduce

I've done some tests

1

 but couldn't reproduce anything like described here.

Please check submissions and provide the missing info. Also, if possible, provide some (demo) content to show the issue.

1

 using the following examples...using the following examples...

1.
h1. Section Editing with Headings from H1 (regular)

{{>toc}}

h2. Test

...

h3. More

...

h3. And even more

...

h2. More testing

...

2.
h2. Section Editing with Headings from H2

{{>toc}}

h3. Test

...

h4. More

...

h4. And even more

...

h3. More testing
...

3.
h1. Section Editing with Headings from H1 with missing H3 in between

{{>toc}}

h2. Test

...

h3. More

...

h3. And even more

...

h2. More testing

...

h4. More testing with missing h3 in between

...

h2. More testing after heading with missing h3 in between

...

#2 - 2013-10-26 08:58 - Jean-Philippe Lang

- Status changed from New to Needs feedback

#3 - 2015-02-18 16:27 - Anonymous

Sorry for late reply. I could not reproduce the issue with the current version and the ticket can be closed.

#4 - 2015-02-18 17:23 - Jean-Philippe Lang

- Status changed from Needs feedback to Closed
